typedef struct AIG AIG;

struct AIG
{
  enum Tag tag;			/* AND, VAR */
  void *data[2];
  int mark, level;		/* traversal */
  AIG *next;			/* hash collision chain */
};

#define sign_aig(aig) (1 & (unsigned) aig)
#define not_aig(aig) ((AIG*)(1 ^ (unsigned) aig))
#define strip_aig(aig) ((AIG*)(~1 & (unsigned) aig))
#define false_aig ((AIG*) 0)
#define true_aig ((AIG*) 1)
