void
vis_aig (AIG * aig)
{
  FILE *file = fopen ("aig.lg", "w");
  int max_level = strip_aig (aig)->level + 1;
  fprintf (file,
	   "a{blue}\nr{invisible}\nn{nondirected}\nf{dot red}\nc{box}\n");
  fprintf (file, "root@0:r>root0:n\n");
  fprintf (file, "root0@1%s>%p\n", sign_aig (aig) ? ":f" : "",
	   strip_aig (aig));
  vis_aig_aux (sign_aig (aig) ? not_aig (aig) : aig, file, max_level);
  mark_aig (aig, 0);
  fclose (file);
  /* http://www.inf.ethz.ch/personal/biere/projects/lg */
  system ("lg -s 3 -Y 1 -f2g -e aig.lg -o aig.ps; gv aig.ps");
}
