void
vis_aig_aux (AIG * aig, FILE * file, int max_level)
{
  assert (!sign_aig (aig));
  if (aig->mark)
    return;
  aig->mark = 1;
  switch (aig->tag)
    {
    case VAR:
      fprintf (file, "%p@%d:c'%d\n", aig, 2 * max_level, (int) aig->data[0]);
      break;
    default:
      assert (aig->tag == AND);	/* TODO: constants */
      vis_aig_edge (aig, aig->data[0], file, max_level);
      vis_aig_edge (aig, aig->data[1], file, max_level);
      vis_aig_aux (strip_aig (aig->data[0]), file, max_level);
      vis_aig_aux (strip_aig (aig->data[1]), file, max_level);
      break;
    }
}
