AIG *
node2aig (Node * node)
{
  switch (node->tag)
    {
    case VAR:
      return new_aig (VAR, (void *) node->data.idx, 0);
    case CONST:
      return node->data.idx ? true_aig : false_aig;
    case AND:
      return and_aig (node2aig (node->data.child[0]),
		      node2aig (node->data.child[1]));
    case OR:
      return or_aig (node2aig (node->data.child[0]),
		     node2aig (node->data.child[1]));
    case XOR:
      return xor_aig (node2aig (node->data.child[0]),
		      node2aig (node->data.child[1]));
    default:
      assert (node->tag == NOT);
      return not_aig (node2aig (node->data.child[0]));
    }
}
